
TYPO3.Flow - Feature # 1882

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Persistence
Created: 2008-10-27 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Objects can be deleted
Description

.

Associated revisions
Revision 372e8fb4 - 2008-11-24 10:59 - Karsten Dambekalns
FLOW3:
    -  object removal now works basically but leaves orphaned objects around, refs #1882

Revision d06734dc - 2008-12-05 21:28 - Karsten Dambekalns
FLOW3, TYPO3CR:
    -  Persistence: rewrote the way object trees are stored in the CR, fixes #1883, fixes #1882
TYPO3CR:
    -  Persistence: array keys are now preserved when persisting, fixes #1620
    -  Persistence: fixed error when persisting DateTime properties, fixes #2195
    -  changed the way properties are added to the Lucene index, fixes #1623, refs #1886
    -  fixed storage backend to enable use of namespaced nodetype names
Lucene, TYPO3CR:
    -  moved the KeywordAnalyser here from TYPO3CR

History
#1 - 2008-10-28 12:58 - Karsten Dambekalns
- Priority changed from Should have to Must have
- Target version set to 1.0 alpha 1

#2 - 2008-11-11 12:22 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#3 - 2008-11-21 18:42 - Karsten Dambekalns
- % Done changed from 0 to 70

I spent quite a few hours on this the last days. In the end I threw away about half of the code again, as it just didn't work out conceptually - seems we
need #1883 to keep things clean.

#4 - 2008-11-24 11:15 - Karsten Dambekalns
- % Done changed from 70 to 90
#5 - 2008-12-05 21:30 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 90 to 100

Applied in changeset r1565.
